de.esprit.appsuite.database.dbo

## Class EspritDBCredential

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.Credential
      - - de.esprit.appsuite.database.dbase.AbstractDBOCredential
        - - de.esprit.appsuite.database.dbase.DBOTypeMapCredential
          - - de.esprit.appsuite.database.dbo.EspritDBCredential

- All Implemented Interfaces:
    DBTypeMapper, Clearable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class EspritDBCredential
      extends DBOTypeMapCredential

  This is the default credential for the espritdb database.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.database.dbase.Credential

      `connUrl, connUrlKey, credentialDocType, dbPassword, dbPasswordKey, dbSchema, dbSchemaKey, dbUser, dbUserKey, DEFAULT_DATABASE_PATH, DERBY_SYSTEM_HOME, jdbcDriver, jdbcDriverKey, loginTimeout, loginTimeoutKey, maxConns, maxConnsKey, minConns, minConnsKey, systemPropsType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EspritDBCredential(Project project)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.DBOTypeMapCredential

      `addFakedForeignKey, addFakedPrimaryKey, addTableExcludePattern, clear, getConstraintDefCount, getExcludeDefCount, getFakedForeignKey, getJavaType, getJavaTypeByConvention, getTypeDefCount, getTypeForColumn, hasConstraintDefs, hasExcludeDefs, hasTypeDefs, isEmpty, isFakedPrimaryKey, matchesForExclusion, put, put, put, toDumpString, toString`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.AbstractDBOCredential

      `getAppKey, getAuthor, getPackageDir, getTargetDir, getTargetPackage, isRebuildExistingDBOs, setAuthor, setRebuildExistingDBOs, setTargetDir, setTargetPackage, setTranslationAppKey, setUseTypeConventions, setValues, useTypeConventions, validate`

    - ### Methods inherited from class de.esprit.appsuite.database.dbase.Credential

      `getConnectionUrl, getCredFile, getDatabaseName, getDefaultSystemProperties, getDefaultSystemProperty, getJdbcDriver, getLoginTimeout, getMaxConns, getMinConns, getPassword, getSchema, getUser, initDefaultSystemProperties, isValid, putDefaultSystemProperty, read, readCommandLineParams, setConnectionUrl, setCredFile, setJdbcDriver, setLoginTimeout, setMaxConns, setMinConns, setPassword, setSchema, setUser, write`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.database.dbase.meta.DBTypeMapper

      `useTypeConventions`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Constructor Detail

    - #### EspritDBCredential

          public EspritDBCredential(Project project)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.